# $Revision: 1.27 $, $Date: 2007/02/13 07:47:13 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# require UID=0
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Net
%define		pnam	PcapUtils
Summary:	Perl Net::PcapUtils module
Summary(pl.UTF-8):	Moduł perla Net::PcapUtils
Name:		perl-Net-PcapUtils
Version:	0.01
Release:	6
License:	free
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	eeba67266dbe155b504df3c2de1d657f
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	libpcap-devel
BuildRequires:	perl-Net-Pcap
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides some code to abstract away some of the messier
parts of using the Net::Pcap library. The idea is to be able to write
"one-liner" type scripts for packet capture without getting bogged
down in the initialisation code. This makes it possible to write very
compact Perl scripts involving packet capture.

%description -l pl.UTF-8
Ten moduł dostarcza trochę kodu by oddalić bardziej zawiłe części
używania biblioteki Net::Pcap. Idea jest taka, by móc pisać skrypty
jednolinijkowe do przechwytywania pakietów bez zakopywania się w kod
inicjalizujący. Pozwala to na pisanie bardzo krótkich skryptów
perlowych przechwytujących pakiety.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name .packlist | xargs -r rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/%{pdir}/%{pnam}.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-PcapUtils.spec,v $
Revision 1.27  2007/02/13 07:47:13  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:49:43  baggins
- converted to UTF-8

Revision 1.25  2004/11/03 22:30:37  paladine
- formatting

Revision 1.24  2004/06/05 20:26:53  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.23  2004/05/07 01:24:06  ankry
- rel. 6

Revision 1.22  2004/05/06 18:20:45  ankry
- fixed perl-devel BR

Revision 1.21  2004/04/27 05:42:05  ankry
- tests finally disabled

Revision 1.20  2004/04/27 00:30:12  ankry
- cosmetics

Revision 1.19  2004/04/27 00:15:30  ankry
- tests added (but fail: disable them ?)

Revision 1.18  2003/09/09 10:24:43  ankry
- spaces -> tab

Revision 1.17  2003/08/18 08:09:03  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.16  2003/05/28 13:00:54  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 06:24:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.13  2003/03/01 20:21:50  radek
- should be ready for perl-5.8.0; release++

Revision 1.12  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.11  2003/02/18 15:37:12  ankry
- massive attack: change CPAN URLs

Revision 1.10  2002/11/26 00:14:20  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.9  2002/07/10 08:48:12  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.8  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.7  2002/03/03 22:17:28  marcus
- rel.4

Revision 1.6  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/12 10:49:02  kloczek
- release 3.

Revision 1.4  2002/02/10 15:40:16  depesz
adapterized

Revision 1.3  2002/01/18 02:14:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2001/12/07 15:10:47  qboosh
- pl translations, release 2

Revision 1.1  2001/11/15 09:07:27  mis
- 1st release
